Skip to main content
{
    "event_type": "blog_post",
    "metadata": {
        "estimated_created_at": "2025-01-01T00:00:00",
        "flare_url": "https://app.flare.io/#/uid",
        "matched_at": null,
        "severity": "info",
        "uid": "index/source/id"
    },
    "data": {
        "url": "https://www.blog_name.com/post_slug",
        "content": "Post content",
        "description": "Post description",
        "posted_at": "2025-01-01T00:00:00"
    }
}
GET
/
firework
/
v4
/
events
Get Event
curl --request GET \
  --url https://api.flare.io/firework/v4/events/ \
  --header 'Authorization: Bearer <token>'
{
    "event_type": "blog_post",
    "metadata": {
        "estimated_created_at": "2025-01-01T00:00:00",
        "flare_url": "https://app.flare.io/#/uid",
        "matched_at": null,
        "severity": "info",
        "uid": "index/source/id"
    },
    "data": {
        "url": "https://www.blog_name.com/post_slug",
        "content": "Post content",
        "description": "Post description",
        "posted_at": "2025-01-01T00:00:00"
    }
}

Documentation Index

Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt

Use this file to discover all available pages before exploring further.

The endpoint is still in beta and is subject to change.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
string
required

Response

Successful Response

metadata
EventMetadata · object
required
data
BlogPostData · object
required
event_type
string
default:blog_post
Allowed value: "blog_post"